## Class TSqliteTableInfo

Description

TSqliteTableInfo class provides additional table information for PostgreSQL database.

- since: 3.1
- version: $Id: TSqliteTableInfo.php 1861 2007-04-12 08:05:03Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/Common/Sqlite/TSqliteTableInfo.php (line 27)

    TComponent
       |
       --TDbTableInfo
          |
          --TSqliteTableInfo

Method Summary
TDbCommandBuilder createCommandBuilder (TDbConnection $connection)
string getTableFullName ()
Methods
createCommandBuilder (line 33)

- return: new command builder
- access: public

TDbCommandBuilder createCommandBuilder (TDbConnection $connection)

- TDbConnection $connection: database connection.

Redefinition of:

TDbTableInfo::createCommandBuilder()

getTableFullName (line 42)

- return: full name of the table, database dependent.
- access: public

string getTableFullName ()

Redefinition of:

TDbTableInfo::getTableFullName()

#### Inherited Methods

Inherited From TDbTableInfo

> TDbTableInfo::__construct()
> TDbTableInfo::createCommandBuilder()
> TDbTableInfo::getColumn()
> TDbTableInfo::getColumnNames()
> TDbTableInfo::getColumns()
> TDbTableInfo::getForeignKeys()
> TDbTableInfo::getInfo()
> TDbTableInfo::getIsView()
> TDbTableInfo::getLowerCaseColumnNames()
> TDbTableInfo::getPrimaryKeys()
> TDbTableInfo::getTableFullName()
> TDbTableInfo::getTableName()
> TDbTableInfo::setInfo()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:15 -0400 by phpDocumentor 1.3.0RC4